MeQA and MEDIPS
2
0
Entering edit mode
@manishkumar-10674
Last seen 5.5 years ago

I am trying to run the MeQA tool and it has integrated R package MEDIPS. I have installed all the dependencies the whole pipeline runs.

But When i checked the pipeline the methylation file is not genrating by MEDIPS. So the further results are not coming.

Below is My query

The MEDIPS.readAlignedSequences() command of MEDIP is not running . I have checked my libraries are properly installed (MEDIPS and BSgenome.Hsapiens.UCSC.hg19 ).

if(is.element('MEDIPS', installed.packages()[,1]) == FALSE)
{
  source("http://www.bioconductor.org/biocLite.R")
  biocLite("MEDIPS")
}
library(MEDIPS)
if(is.element('BSgenome.Hsapiens.UCSC.hg19', installed.packages()[,1]) == FALSE)
{
  source("http://www.bioconductor.org/biocLite.R")
  biocLite("BSgenome.Hsapiens.UCSC.hg19")
}
library("BSgenome.Hsapiens.UCSC.hg19")
fileBed="demo//demo.sorted.bed"
CONTROL.SET = MEDIPS.readAlignedSequences(BSgenome = "BSgenome.Hsapiens.UCSC.hg19",file = fileBed, numrows = 498020)
CONTROL.SET = MEDIPS.genomeVector(data = CONTROL.SET, bin_size = 50,extend = 400)
sr.control = MEDIPS.saturationAnalysis(data = CONTROL.SET, bin_size = 50, extend = 400, no_iterations = 10, no_random_iterations = 1)
jpeg(filename="demo/demo-saturation.jpeg",quality=100)
MEDIPS.plotSaturation(sr.control)

The Error message which i am getting is below.
{
Warning message:
'MEDIPS.readAlignedSequences' is deprecated.
Use 'MEDIPS.createSet' instead.
See help("Deprecated")
Warning message:
'MEDIPS.genomeVector' is deprecated.
Use 'MEDIPS.createSet' instead.
See help("Deprecated")
Warning message:
'MEDIPS.saturationAnalysis' is deprecated.
Use 'MEDIPS.saturation' instead.
See help("Deprecated")
Error in .External2(C_X11, paste("jpeg::", quality, ":", filename, sep = ""),  :
  unable to start device JPEG
Calls: jpeg
In addition: Warning message:
In jpeg(filename = "demo/demo-saturation.jpeg", quality = 100) :
  could not open JPEG file 'demo/demo-saturation.jpeg'
Execution halted
}

Before this every thing is working fine. Please let me Know how to solve this Query. MEDIPS tool is integrated with MeQA pipeline so the process is not working properly. So what should be done to resolve this.

Thank You.        

bioconductor meqa medips • 1.0k views
ADD COMMENT
0
Entering edit mode
Lukas Chavez ▴ 570
@lukas-chavez-5781
Last seen 3.7 years ago
USA/La Jolla/UCSD
Dear Manish Kumar, if I understand correctly, MeQA integrates the MEDIPS package but is not an R/BioC package? We have updated MEDIPS during the last years several times and we were also changing several functions and function names. While I do understand that this causes trouble for software incorporating MEDIPS, I am afraid that the authors of MeQA need to update their software accordingly. Alternatively, you will have to install an older version of MEDIPS compatible with MeQA (not recommended) or use the latest version of MEDIPS independently of MeQA. All the best, Lukas On 11 May 2016, at 11:30, manish.kumar [bioc] <noreply@bioconductor.org<mailto:noreply@bioconductor.org>> wrote: Activity on a post you are following on support.bioconductor.org<https: support.bioconductor.org=""/> User manish.kumar<https: support.bioconductor.org="" u="" 10674=""/> wrote Question: MeQA and MEDIPS<https: support.bioconductor.org="" p="" 82531=""/>: I am trying to run the MeQA tool and it has integrated R package MEDIPS. I have installed all the dependencies the whole pipeline runs. But When i checked the pipeline the methylation file is not genrating by MEDIPS. So the further results are not coming. Below is My query The MEDIPS.readAlignedSequences() command of MEDIP is not running . I have checked my libraries are properly installed (MEDIPS and BSgenome.Hsapiens.UCSC.hg19 ). if(is.element('MEDIPS', installed.packages()[,1]) == FALSE) { source("http://www.bioconductor.org/biocLite.R"<http: www.bioconductor.org="" bioclite.r="">) biocLite("MEDIPS") } library(MEDIPS) if(is.element('BSgenome.Hsapiens.UCSC.hg19', installed.packages()[,1]) == FALSE) { source("http://www.bioconductor.org/biocLite.R"<http: www.bioconductor.org="" bioclite.r="">) biocLite("BSgenome.Hsapiens.UCSC.hg19") } library("BSgenome.Hsapiens.UCSC.hg19") fileBed="demo//demo.sorted.bed" CONTROL.SET = MEDIPS.readAlignedSequences(BSgenome = "BSgenome.Hsapiens.UCSC.hg19",file = fileBed, numrows = 498020) CONTROL.SET = MEDIPS.genomeVector(data = CONTROL.SET, bin_size = 50,extend = 400) sr.control = MEDIPS.saturationAnalysis(data = CONTROL.SET, bin_size = 50, extend = 400, no_iterations = 10, no_random_iterations = 1) jpeg(filename="demo/demo-saturation.jpeg",quality=100) MEDIPS.plotSaturation(sr.control) The Error message which i am getting is below. { Warning message: 'MEDIPS.readAlignedSequences' is deprecated. Use 'MEDIPS.createSet' instead. See help("Deprecated") Warning message: 'MEDIPS.genomeVector' is deprecated. Use 'MEDIPS.createSet' instead. See help("Deprecated") Warning message: 'MEDIPS.saturationAnalysis' is deprecated. Use 'MEDIPS.saturation' instead. See help("Deprecated") Error in .External2(C_X11, paste("jpeg::", quality, ":", filename, sep = ""), : unable to start device JPEG Calls: jpeg In addition: Warning message: In jpeg(filename = "demo/demo-saturation.jpeg", quality = 100) : could not open JPEG file 'demo/demo-saturation.jpeg' Execution halted } Before this every thing is working fine. Please let me Know how to solve this Query. MEDIPS tool is integrated with MeQA pipeline so the process is not working properly. So what should be done to resolve this. Thank You. ________________________________ Post tags: bioconductor, meqa, medips You may reply via email or visit MeQA and MEDIPS
ADD COMMENT
0
Entering edit mode
palchamy • 0
@palchamy-13002
Last seen 4.5 years ago

Yes. MeQA is outdated,  authors have to update their code. Many of us wasting time reading meQA paper and setting up their script.

 

ADD COMMENT

Login before adding your answer.

Traffic: 352 users visited in the last hour
Help About
FAQ
Access RSS
API
Stats

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.

Powered by the version 2.3.6